package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public abstract class AbstractStaticCommand extends AbstractSqlCommand {

	private BeanMetaData beanMetaData_;

	private DataSource dataSource_;

	private String sql_;

	public AbstractStaticCommand(DataSource dataSource,
			BeanMetaData beanMetaData) {

		super(dataSource);
		beanMetaData_ = beanMetaData;
	}

	public BeanMetaData getBeanMetaData() {
		return beanMetaData_;
	}
}